c mpif77 source.f
c mpirun -np 4 a.out
c

      program main
      implicit real*8 (a-h,o-z)
      include 'mpif.h'


      call mpi_init(ierror)
      call mpi_comm_rank(mpi_comm_world,irank,ierror)
      call mpi_comm_size(mpi_comm_world,msize,ierror)

      print*, msize
       time1=MPI_WTIME()

       if(irank.eq.0) then
          print*, "pro= ", irank, "fffff"
       endif



       time2=MPI_WTIME()

       print*, "pro=", irank,"  time=",time2-time1

      call MPI_FINALIZE(ierror)


      stop
      end


